/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { App, AppConfig, TerraformProvider, TerraformStack, TerraformVariable, TerraformVariableConfig, TerraformOutput, TerraformOutputConfig } from "cdktf";
import { Construct } from "constructs";
export declare class TFModuleApp extends App {
    constructor(options?: AppConfig);
}
export declare class ProviderRequirement extends TerraformProvider {
    constructor(scope: Construct, providerName: string, providerVersionConstraint?: string, terraformProviderSource?: string);
}
export declare class TFModuleStack extends TerraformStack {
    toTerraform(): any;
}
export type TFModuleVariableConfig = TerraformVariableConfig;
export declare class TFModuleVariable extends TerraformVariable {
    constructor(scope: Construct, name: string, config: TFModuleVariableConfig);
    toTerraform(): any;
}
export type TFModuleOutputConfig = TerraformOutputConfig;
export declare class TFModuleOutput extends TerraformOutput {
    constructor(scope: Construct, name: string, config: TFModuleOutputConfig);
    toTerraform(): any;
}
